{
  "crawlerFilters": {
    "JOB_NAME_REGEXP": {
      "type": "string"
    }
  },
  "additionalFields": {},
  "externalUrls": {
    "BUILD": {
      "url": "${dataSource.baseUiUrl}/job/${entity.urlParts.path}"
    },
    "BUILD_TEMPLATE": {
      "url": "${dataSource.baseUiUrl}/job/${entity.urlParts.path}"
    }
  },
  "entityNames": {
    "BUILD": {
      "displayName": "Jenkins Build"
    },
    "BUILD_TEMPLATE": {
      "displayName": "Jenkins Project"
    }
  },
  "relations": {
    "job": {
      "type": "precise",
      "requireSameDataSource": true,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": true,
        "types": [
          "BUILD"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "BUILD_TEMPLATE"
        ],
        "pluginIds": null
      },
      "relationType": "buildTemplate",
      "fromField": "other.relations.jobId",
      "toField": "id"
    },
    "upstream": {
      "type": "precise",
      "requireSameDataSource": false,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": true,
        "types": [
          "BUILD"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "BUILD"
        ],
        "pluginIds": null
      },
      "relationType": "upstreamBuild",
      "fromField": "other.relations.upstreamBuild",
      "toField": "id"
    }
  },
  "plugin": {
    "id": "JenkinsV1Plugin",
    "name": "Jenkins V1",
    "version": "1"
  },
  "manifestVersion": 1,
  "validDataTypes": [
    "BUILD",
    "BUILD_TEMPLATE"
  ]
}
